aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools/ios/bin/ios_cat_file
diff options
context:
space:
mode:
authorGravatar stephana <stephana@chromium.org>2015-05-05 07:55:06 -0700
committerGravatar Commit bot <commit-bot@chromium.org>2015-05-05 07:55:06 -0700
commitdeee2980f41cb9586bb7a596cf99d25775f7c698 (patch)
treecb90d17de32a90fb473aec5fdbbb71c82d1f5b4a /platform_tools/ios/bin/ios_cat_file
parent7d3bdc3aa53ef953318db2611c51e0eef4ee4214 (diff)
cleanup
Diffstat (limited to 'platform_tools/ios/bin/ios_cat_file')
-rwxr-xr-xplatform_tools/ios/bin/ios_cat_file21
1 files changed, 21 insertions, 0 deletions
diff --git a/platform_tools/ios/bin/ios_cat_file b/platform_tools/ios/bin/ios_cat_file
new file mode 100755
index 0000000000..2e712ca961
--- /dev/null
+++ b/platform_tools/ios/bin/ios_cat_file
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+###############################################################################
+# Copyright 2015 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+###############################################################################
+#
+# Writes the content of the file identified by the first argument to standard
+# output. The path is relative to the Documents directory of the installed app.
+#
+
+# Do not set -x here, since we only want the content of the file sent to
+# standard out.
+set -e
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $SCRIPT_DIR/ios_setup.sh
+
+ios_cat $1